/*
 * Copyright (c) 2025 DuckDuckGo
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.duckduckgo.app.browser

import android.graphics.Bitmap
import android.webkit.WebHistoryItem

class TestHistoryItem(
    private val url: String,
) : WebHistoryItem() {

    override fun getUrl(): String = url

    override fun getOriginalUrl(): String = url

    override fun getTitle(): String = url

    override fun getFavicon(): Bitmap = throw NotImplementedError()

    override fun clone(): WebHistoryItem = throw NotImplementedError()
}

fun String.toHistoryItem(): WebHistoryItem {
    return TestHistoryItem(this)
}
